org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class PatternMatchContent

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent<PatternMatcherContent>
  - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.PatternMatchContent

-     public class PatternMatchContent
      extends BaseContent<PatternMatcherContent>

  The bottom level element in the tree viewer of the `QueryExplorer`. Instances of this class represent the matches of the pattern matchers loaded during runtime.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `parent, text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatchContent(PatternMatcherContent parent, IPatternMatch match)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes of this content.
    `java.lang.Object[]` | `getLocationObjects()`
    `IPatternMatch` | `getPatternMatch()`
    `protected void` | `initialize()`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `getParent, getText, setText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatchContent

          public PatternMatchContent(PatternMatcherContent parent,
                                     IPatternMatch match)

  - ### Method Detail

    - #### initialize

          protected void initialize()

    - #### dispose

          public void dispose()

      Description copied from class: `BaseContent`
      Disposes of this content. It is the method's responsibility to call dispose on all child elements. Important: do NOT call dispose on the children observable collection as it will be invoked when the observable tree viewer processes the list diffs. This implementation should only release those resources (matchers / engines / etc) which are directly bound to this content.
      Specified by:
        `dispose` in class `BaseContent<PatternMatcherContent>`

    - #### getPatternMatch

          public IPatternMatch getPatternMatch()

    - #### getLocationObjects

          public java.lang.Object[] getLocationObjects()